classification
Title: PEP 3114 -- next() -> __next__()
Type: Stage:
Components: Interpreter Core Versions: Python 3.0
process
Status: closed Resolution: accepted
Dependencies: Superseder:
Assigned To: gvanrossum Nosy List: georg.brandl, gvanrossum
Priority: normal Keywords: patch

Created on 2007-03-07 00:21 by georg.brandl, last changed 2008-01-06 22:29 by admin. This issue is now closed.

Files
File name Uploaded Description Edit
__next__.diff georg.brandl, 2007-03-07 11:27 v2
Messages (4)
msg52066 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2007-03-07 00:21
This patch implements PEP 3114. It renames all next() methods to __next__, introduces the new builtin next() with one or two arguments and updates the documentation accordingly.
msg52067 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2007-03-07 11:27
Version 2 adds tests for the new builtin next().
File Added: __next__.diff
msg52068 - (view) Author: Guido van Rossum (gvanrossum) * (Python committer) Date: 2007-04-18 21:54
Can you bring this up to date and commit it?
msg52069 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2007-04-21 15:48
Done in rev. 54910.
History
Date User Action Args
2008-01-06 22:29:46adminsetkeywords: - py3k
versions: + Python 3.0
2007-03-07 00:21:26georg.brandlcreate